<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateSkillsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('skills', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->string('name');
            $table->timestamps();
        });

        DB::statement('SET FOREIGN_KEY_CHECKS=0;');
        DB::table('skills')->truncate();
        DB::statement('
        INSERT INTO skills (`name`) VALUES
            ("A/B Testing"),
            ("Ad Design"),
            ("Adobe Creative Suite"),
            ("Adobe Illustrator"),
            ("Adobe InDesign"),
            ("Adobe Photoshop"),
            ("Adobe Premiere"),
            ("Adobe XD"),
            ("AdWords"),
            ("AJAX"),
            ("Alpine.js"),
            ("Analytics"),
            ("AngularJS"),
            ("Application Installations"),
            ("AWS"),
            ("Azure"),
            ("Babel"),
            ("Backbone.js"),
            ("Bamboo"),
            ("Bash"),
            ("Bootstrap"),
            ("Buffer"),
            ("Bulma"),
            ("BuzzSumo"),
            ("C"),
            ("C++"),
            ("Cache"),
            ("Canva"),
            ("CMS"),
            ("Community Growth"),
            ("Competitor Analysis"),
            ("Compliance"),
            ("Configuration Management"),
            ("Consumer Behavior"),
            ("Containers"),
            ("Continuous Integration Servers"),
            ("Copywriting"),
            ("CRM"),
            ("Cross-Browser Development"),
            ("CSS Preprocessors"),
            ("Customer Relationship Management"),
            ("Data"),
            ("Data Analysis"),
            ("Data Structures and Algorithms"),
            ("Data Visualization"),
            ("Database"),
            ("Databox"),
            ("Debugging"),
            ("Decision Frameworks"),
            ("Deployment Automation"),
            ("Design Principles"),
            ("Digital Ad Design"),
            ("Digital Marketing"),
            ("Digital Ocean"),
            ("Digital Printing"),
            ("Django"),
            ("Docker"),
            ("Documentation"),
            ("DOM Manipulation"),
            ("Elasticsearch"),
            ("Email Marketing and Automation"),
            ("Ember.js"),
            ("Employment Law Awareness"),
            ("End User Support"),
            ("Enterprise Systems"),
            ("Error Logs"),
            ("ES6"),
            ("ES7"),
            ("Estimating and Cost Forecasting"),
            ("Expense Management"),
            ("Facebook Paid Ads"),
            ("Figma"),
            ("Financial Management"),
            ("Flask"),
            ("Funnel Management"),
            ("GetResponse"),
            ("Git"),
            ("GoLang"),
            ("Google Analytics"),
            ("Google Cloud"),
            ("Google Search Console"),
            ("Google Trends"),
            ("Graphic Design"),
            ("GraphQL"),
            ("Hardware"),
            ("Help Desk Reporting Systems"),
            ("Heroku"),
            ("HooteSuite"),
            ("HTML/CSS"),
            ("HubSpot"),
            ("Human Resource Management"),
            ("Illustration"),
            ("Inbound Marketing"),
            ("Influencer Marketing"),
            ("Information Analysis"),
            ("Infrastructure Orchestration"),
            ("Installing Systems"),
            ("Java"),
            ("JavaScript"),
            ("Jenkins"),
            ("jQuery"),
            ("JSON"),
            ("Keyword Research and Planning"),
            ("Knowledge Management"),
            ("Lightworks"),
            ("Link Building"),
            ("Linux"),
            ("Lit.js"),
            ("Logo Creation"),
            ("MailChimp"),
            ("MariaDB"),
            ("Market Research"),
            ("Marketing"),
            ("Marketing Automation"),
            ("Marketing Management"),
            ("MeteorJS"),
            ("Mobile Marketing"),
            ("MongoDB"),
            ("Monitoring and Analytics"),
            ("Moz"),
            ("MySQL"),
            ("Netpeak Spider"),
            ("Network Protocols"),
            ("Node.js"),
            ("Octopus Deploy"),
            ("Openstack"),
            ("Operations Management"),
            ("Oracle"),
            ("Organic Search"),
            ("Outreach"),
            ("Paid Social Media Advertising"),
            ("Photo Editing"),
            ("Photography"),
            ("PHP"),
            ("Laravel"),
            ("CakePHP"),
            ("CodeIgniter"),
            ("Symfony"),
            ("PostgreSQL"),
            ("PPC"),
            ("PR Strategy"),
            ("Preact.js"),
            ("Problem Solving"),
            ("Product knowledge"),
            ("Product Marketing"),
            ("Productivity Software"),
            ("Project Management"),
            ("Python"),
            ("Quality Assurance"),
            ("React"),
            ("Recruiting"),
            ("Redis"),
            ("Reporting"),
            ("Research and Analysis"),
            ("Responsive Design"),
            ("RESTful Services/APIs"),
            ("Retargeting"),
            ("Revenue Forecasting"),
            ("Revenue Management"),
            ("Risk Management"),
            ("Ruby"),
            ("Ruby on Rails"),
            ("Sales Management"),
            ("SASS"),
            ("Screaming Frog"),
            ("SCSS"),
            ("Search Engine Optimization (SEO)"),
            ("Security"),
            ("SEM"),
            ("SEMRush"),
            ("SEO"),
            ("Shell"),
            ("Site Maps"),
            ("Sketch"),
            ("Social Media Marketing"),
            ("Software Support"),
            ("Software Upgrades"),
            ("SolidJS"),
            ("Spring"),
            ("SQL"),
            ("SQS"),
            ("Stimulus"),
            ("Strategic Analysis"),
            ("Strategic Thinking"),
            ("Support Systems"),
            ("Svelte"),
            ("System Design"),
            ("Tailwind CSS"),
            ("Technical Support"),
            ("Technical Writing"),
            ("Technology Management"),
            ("Testing"),
            ("Testing and Cloud Quality Tools"),
            ("Testing/Debugging"),
            ("Ticketing Systems"),
            ("Tracking and Attribution"),
            ("Troubleshooting"),
            ("Typography"),
            ("UI/UX"),
            ("UI/UX Design"),
            ("Usability"),
            ("UX design"),
            ("Version Control"),
            ("Video Production"),
            ("VSTS"),
            ("Vue.js"),
            ("Web Performance Optimization"),
            ("Web Support"),
            ("Webflow"),
            ("Weebly"),
            ("Wix"),
            ("WordPress"),
            ("Writing");
        ');
        DB::statement('SET FOREIGN_KEY_CHECKS=1;');

    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('skills');
    }
}
